wxPlot 1.8 Real time plot library for wxWidgets

Loading...
Searching...
No Matches
Public Member Functions | List of all members
Scatter Class Reference

Scatter class. Inheritance from class Line. More...

`#include <scatter.hpp>`

Inheritance diagram for Scatter:

## Public Member Functions
void | setRadius (const wxCoord radius)
| Set radius. Most used for circles e.g filling scatter plots.
void | fillCircles (const bool fillCircle)
| Fill circles if radius is applied if circiles are going to be filled with the same colour as they are drawn.
void | draw (wxDC &dc, const std::vector< double > &xData, const std::vector< double > &yData, const unsigned int colourIndex) override
| Draw the scatter plot inside the rectangle.
Public Member Functions inherited from Line
void | setLimits (const double minX, const double maxX, const double minY, const double maxY)
| Set minimum and maximum limits of the data.
void | setPlotStartWidth (const wxCoord plotStartWidth)
| Set the left upper corner in X-axis. Inside this rectangle, the plot is drawn. NOTE: This value is recalculated since the plot figure is drawn! (plotStartWidth, plotStartHeight) --------------------------------------------— (plotEndWidth, plotStartHeight)
void | setPlotStartHeight (const wxCoord plotStartHeight)
| Set the left upper corner in Y-axis. Inside this rectangle, the plot is drawn. NOTE: This value is recalculated since the plot figure is drawn! (plotStartWidth, plotStartHeight) --------------------------------------------— (plotEndWidth, plotStartHeight)
void | setPlotEndWidth (const wxCoord plotEndWidth)
| Set the right upper corner in X-axis. Inside this rectangle, the plot is drawn. NOTE: This value is recalculated since the plot figure is drawn! (plotStartWidth, plotStartHeight) --------------------------------------------— (plotEndWidth, plotStartHeight)
void | setPlotEndHeight (const wxCoord plotEndHeight)
| Set the right bottom corner in Y-axis. Inside this rectangle, the plot is drawn. NOTE: This value is recalculated since the plot figure is drawn! (plotStartWidth, plotStartHeight) --------------------------------------------— (plotEndWidth, plotStartHeight)

## Additional Inherited Members
Protected Attributes inherited from Line
wxCoord | plotEndWidth = 0
| Location of right upper corner in X-axis.
wxCoord | plotEndHeight = 0
| Location of right bottom corner in Y-axis.
wxCoord | plotStartWidth = 0
| Location of left upper corner in X-axis.
wxCoord | plotStartHeight = 0
| Location of left upper corner in Y-axis.
double | minX = 0
| Minimum value of data in X-axis.
double | maxX = 0
| Maximum value of data in X-axis.
double | minY = 0
| Minimum value of data in Y-axis.
double | maxY = 0
| Maximum value of data in Y-axis.

## Detailed Description

Scatter class. Inheritance from class Line.

## Member Function Documentation

## ◆ draw()

void Scatter::draw | ( | wxDC & | dc,
|  | const std::vector< double > & | xData,
|  | const std::vector< double > & | yData,
|  | const unsigned int | colourIndex )
| override virtual

Draw the scatter plot inside the rectangle.

Parameters

  dc | The wxDC object for drawing lines, polygons etc.
  xData | Data in X-axis
  yData | Data in Y-axis
  colourIndex | Selection index of the colour.

Reimplemented from Line.

## ◆ fillCircles()

void Scatter::fillCircles | ( | const bool | fillCircle | ) |

Fill circles if radius is applied if circiles are going to be filled with the same colour as they are drawn.

Parameters

  fillCircle | Set true if filled.

## ◆ setRadius()

void Scatter::setRadius | ( | const wxCoord | radius | ) |

Set radius. Most used for circles e.g filling scatter plots.

Parameters

  radius | The radius of the circle.

The documentation for this class was generated from the following files:

- C:/Users/danie/Documents/GitHub/wxPlot/wxPlot/src/plots/plottypes/2D/scatter/scatter.hpp
- C:/Users/danie/Documents/GitHub/wxPlot/wxPlot/src/plots/plottypes/2D/scatter/scatter.cpp